<?xml version="1.0" encoding="latin1" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2004</year><year>2009</year>
      <holder>Ericsson AB. All Rights Reserved.</holder>
    </copyright>
    <legalnotice>
      The contents of this file are subject to the Erlang Public License,
      Version 1.1, (the "License"); you may not use this file except in
      compliance with the License. You should have received a copy of the
      Erlang Public License along with this software. If not, it can be
      retrieved online at http://www.erlang.org/.
    
      Software distributed under the License is distributed on an "AS IS"
      basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
      the License for the specific language governing rights and limitations
      under the License.
    
    </legalnotice>

    <title>os_mon_mib</title>
    <prepared>Ingela Andin</prepared>
    <responsible></responsible>
    <docno></docno>
    <date></date>
    <rev></rev>
  </header>
  <module>os_mon_mib</module>
  <modulesummary>Loading and Unloading of OTP-OS-MON-MIB</modulesummary>
  <description>
    <p>Functions for loading and unloading the OTP-OS-MON-MIB into/from
      an SNMP agent. The instrumentation of the OTP-OS-MON-MIB uses
      Mnesia, hence Mnesia must be started prior to loading
      the OTP-OS-MON-MIB.</p>
  </description>
  <funcs>
    <func>
      <name>load(Agent) -> ok | {error, Reason}</name>
      <fsummary>Load the OTP-OS-MON-MIB</fsummary>
      <type>
        <v>Agent = pid() | atom()</v>
        <v>Reason = term()</v>
      </type>
      <desc>
        <p>Loads the OTP-OS-MON-MIB.</p>
      </desc>
    </func>
    <func>
      <name>unload(Agent) -> ok | {error, Reason}</name>
      <fsummary>Unload the OTP-OS-MON-MIB</fsummary>
      <type>
        <v>Agent = pid() | atom() </v>
        <v>Reason = term()</v>
      </type>
      <desc>
        <p>Unloads the OTP-OS-MON-MIB.</p>
      </desc>
    </func>
  </funcs>

  <section>
    <title>See Also</title>
    <p><seealso marker="os_mon_app">os_mon(6)</seealso>,
      <seealso marker="snmp:snmp">snmp(3)</seealso></p>
  </section>
</erlref>

